Skip to content

Lists levels 2 and 3 autofill settings

Request

GET {{baseURL}}/v2/settings/transaction-autofill

This endpoint lists levels 2 and 3 autofill settings.

The additional levels 2 and 3 information must be included in transactions requiring that level. This information can be pre-configured at the merchant settings level. This allows merchants to automatically include the information instead of manually entering each time. This automatic inclusion is called autofill.

With autofill, a merchant configures defaults once. To set the defaults and values, see PATCH /v2/settings/transaction-autofill. Thereafter, Flute automatically appends those values to every transaction even if not included in the transaction request. For example, a merchant selling the same product, such as a subscription service could set the following:

  • taxRate: 8.5 for Level 2
  • product.code: SUB-001, product.unitPrice: 29.99 for Level 3

Every transaction then automatically includes that data, qualifying for lower interchange rates without any extra work per transaction.

See Also:
To retrieve the payment configuration, see GET /v2/settings/payment-config.
To retrieve the contact information, see GET /v2/settings/contact-information.
To update the transaction autofill settings, see PATCH /v2/settings/transaction-autofill.

Security
Bearer
curl -i -X GET \
  https://sandbox.api.flute.com/v2/settings/transaction-autofill \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
level2Settingsobject
level3Settingsobject
Response
{ "level2Settings": { "taxRate": 8.5 }, "level3Settings": { "product": { "productName": "Office Supplies", "code": "OFF001", "unitPrice": 25, "measurementUnit": "pcs", "quantity": 10, "discountPercentage": 5, "description": "Standard office supplies" }, "shippingChargeRate": 5, "dutyChargeRate": 2.5 } }